Subject: Re: Extensible hashing and RCU

From: Andi Kleen <[email-masked]>
Date: 19 Feb 2007 13:04:12 +0100

"Michael K. Edwards" <[email-masked]> writes:

> A better data structure for RCU, even with a fixed key space, is
> probably a splay tree.  Much less vulnerable to cache eviction DDoS
> than a hash, because the hot connections get rotated up into non-leaf
> layers and get traversed enough to keep them in the LRU set.

LRU tends to be hell for caches in MP systems, because it writes to
the cache lines too and makes them exclusive and more expensive.

-Andi